<?php
namespace App\Http\Result;

/**
 * 错误码类
 *
 * 实例化 $error = new ErrorCode('ERROR_PARAM');
 * 获取错误码 $error->getCode();
 * 获取错误码说明 $error->getMessage();
 */
class ErrorCode
{
    const ERROR_DATA = [
        'SYS_ERR' => '500:系统错误',
        'DELETE_PARENT_NODE'=>'30001:请先删除子菜单',
        'CHOOSE_FILE'=>'600:请选择文件',
        'UNAUTHENTICATION'=> '601:认证失败'
    ];

    protected $error_code;

    protected $error_message;

    public function __construct($error_key)
    {
        if (!array_key_exists($error_key, self::ERROR_DATA)) throw new \Exception('错误码不存在');

        list($this->error_code, $this->error_message) = explode(':', self::ERROR_DATA[$error_key]);
    }

    public function getCode()
    {
        return $this->error_code;
    }

    public function getMessage()
    {
        return $this->error_message;
    }
}
